/**************************************************************************
**       Title: 
**    $RCSfile: CVFactory.hh,v $
**   $Revision: 1.1 $$Name:  $
**       $Date: 2004/08/26 08:36:58 $
**   Copyright: GPL $Author: ronneber $
** Description:
**
**    
**
**-------------------------------------------------------------------------
**
**  $Log: CVFactory.hh,v $
**  Revision 1.1  2004/08/26 08:36:58  ronneber
**  initital import
**
**
**
**************************************************************************/
#ifndef CVFACTORY_HH
#define CVFACTORY_HH

#include "TList.hh"
#include "DefaultMultiClassList.hh"
#include "DefaultTwoClassList.hh"
#include "DefaultKernelList.hh"
#include "GroupedTrainingData.hh"
#include "StDataASCIIFile.hh"
#include "BasicFV.hh"
#include "BasicCVFactory.hh"

namespace svt
{
  /*-----------------------------------------------------------------------
   *  Specify SVM Factory, with all these algorithms and BasicFV
   *-----------------------------------------------------------------------*/
  typedef svt::BasicCVFactory<svt::BasicFV, 
                              svt::GroupedTrainingData<svt::BasicFV>,
                              svt::StDataASCIIFile,
                              DefaultMultiClassList,
                              DefaultTwoClassList,
                              DefaultKernelList> CVFactory;
  
  
}

#endif
