/**************************************************************************
**       Title: this file contains only comments for doxygen
**    $RCSfile: doxy_definitions.hh,v $
**   $Revision: 1.1 $$Name:  $
**       $Date: 2004/09/13 09:59:49 $
**   Copyright: GPL $Author: ronneber $
** Description:
**
**    
**
**-------------------------------------------------------------------------
**
**  $Log: doxy_definitions.hh,v $
**  Revision 1.1  2004/09/13 09:59:49  ronneber
**  *** empty log message ***
**
**
**
**************************************************************************/



/**
 * \defgroup lowlevel Low level Classes 
 */

/**
 * \defgroup origlibsvm Classes From Chi-Jen Lin's LIBSVM
 * \ingroup lowlevel
 */

/**
 * \defgroup kernel Kernel Classes
 * \ingroup lowlevel
 */

/**
 * \defgroup oneclass One-Class SVM algorithms
 * \ingroup lowlevel
 */

/**
 * \defgroup twoclass Two-Class SVM algorithms
 * \ingroup lowlevel
 */

/**
 * \defgroup multiclass Multi-Class SVM algorithms
 * \ingroup lowlevel
 */

/**
 * \defgroup stdata Structured Data Classes (for load/saveParameters())
 * \ingroup lowlevel
 */

/**
 * \defgroup factory Factories to Select Algorithms at Runtime
 */


/**
 * \defgroup commandline Classes to build a Command Line Application
 */


/**
 * \defgroup assertion Assertions for Template Parameters
 */

/**
 * \defgroup test Unit Tests For LIBSVMTL Classes
 */


